Index: main/channel.c
===================================================================
--- main/channel.c	(revision 83398)
+++ main/channel.c	(working copy)
@@ -3067,7 +3067,8 @@
 	int cause = 0;
 	struct ast_channel *chan;
 	int res = 0;
-	
+	const char *group = NULL;	
+
 	if (outstate)
 		*outstate = 0;
 	else
@@ -3097,8 +3098,12 @@
 	}
 	ast_set_callerid(chan, cid_num, cid_name, cid_num);
 
-	
+	group = pbx_builtin_getvar_helper(chan, "GROUP");	
 
+	/* If we have a group, add this channel to it */
+	if (group)
+		ast_app_group_set_channel(chan, group);
+
 	if (!chan->cdr) { /* up till now, this insertion hasn't been done. Therefore,
 				to keep from throwing off the basic order of the universe,
 				we will try to keep this cdr from getting posted. */
